curl --request GET \
--url https://api.engrate.io/core/v1/holidays \
--header 'Authorization: <api-key>'import requests
url = "https://api.engrate.io/core/v1/holidays"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.engrate.io/core/v1/holidays', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"holidays": [
{
"date": "2026-12-25",
"holiday": "se/juldagen",
"timezone": "Europe/Stockholm"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}List holidays
List public holidays in a range of years.
Returns the holiday occurrences for years in [start_year, end_year) (start_year inclusive, end_year exclusive). Optionally filterable by country (ISO 3166-1 alpha-2 lowercase) and by specific holiday identifiers (e.g. se/julafton). Each occurrence carries the IANA timezone in which the holiday is observed.
Holiday identifiers
| Value | Description |
|---|---|
no/forste_nyttarsdag | January 1st. |
no/skjartorsdag | The Thursday before Easter Sunday (moveable). |
no/langfredag | The Friday before Easter Sunday (moveable). |
no/forste_paskedag | Easter Sunday (moveable). |
no/andre_paskedag | The Monday after Easter Sunday (moveable). |
no/arbeidernes_dag | May 1st. |
no/kristi_himmelfartsdag | Ascension Day, the Thursday 39 days after Easter (moveable). |
no/grunnlovsdag | May 17th. |
no/forste_pinsedag | Whit Sunday / Pentecost (moveable). |
no/andre_pinsedag | Whit Monday (moveable). |
no/forste_juledag | December 25th. |
no/andre_juledag | December 26th. |
se/nyarsdagen | January 1st. |
se/trettondagsafton | January 5th (Epiphany Eve). |
se/trettondedag_jul | January 6th (Epiphany). |
se/skartorsdagen | The Thursday before Easter Sunday (moveable). |
se/langfredagen | The Friday before Easter Sunday (moveable). |
se/paskafton | The Saturday before Easter Sunday — Easter Eve (moveable). |
se/paskdagen | Easter Sunday (moveable). |
se/annandag_pask | The Monday after Easter Sunday (moveable). |
se/forsta_maj | May 1st. |
se/kristi_himmelsfard | Ascension Day, the Thursday 39 days after Easter (moveable). |
se/pingstafton | Whitsun Eve, the Saturday before Pentecost (moveable). |
se/nationaldagen | June 6th. |
se/midsommarafton | The Friday before Midsummer Day (moveable). |
se/allhelgonaafton | The Friday between October 30th and November 5th — All Saints’ Eve. |
se/julafton | December 24th. |
se/juldagen | December 25th. |
se/annandag_jul | December 26th. |
se/nyarsafton | December 31st. |
Authorizations
Query Parameters
Start year (inclusive).
End year (exclusive).
ISO 3166-1 alpha-2 country code (lowercase).
2"se"
Filter to specific holiday identifiers.
Public holiday
Available holidays
-
no/forste_nyttarsdag — January 1st.
-
no/skjartorsdag — The Thursday before Easter Sunday (moveable).
-
no/langfredag — The Friday before Easter Sunday (moveable).
-
no/forste_paskedag — Easter Sunday (moveable).
-
no/andre_paskedag — The Monday after Easter Sunday (moveable).
-
no/arbeidernes_dag — May 1st.
-
no/kristi_himmelfartsdag — Ascension Day, the Thursday 39 days after Easter (moveable).
-
no/grunnlovsdag — May 17th.
-
no/forste_pinsedag — Whit Sunday / Pentecost (moveable).
-
no/andre_pinsedag — Whit Monday (moveable).
-
no/forste_juledag — December 25th.
-
no/andre_juledag — December 26th.
-
se/nyarsdagen — January 1st.
-
se/trettondagsafton — January 5th (Epiphany Eve).
-
se/trettondedag_jul — January 6th (Epiphany).
-
se/skartorsdagen — The Thursday before Easter Sunday (moveable).
-
se/langfredagen — The Friday before Easter Sunday (moveable).
-
se/paskafton — The Saturday before Easter Sunday — Easter Eve (moveable).
-
se/paskdagen — Easter Sunday (moveable).
-
se/annandag_pask — The Monday after Easter Sunday (moveable).
-
se/forsta_maj — May 1st.
-
se/kristi_himmelsfard — Ascension Day, the Thursday 39 days after Easter (moveable).
-
se/pingstafton — Whitsun Eve, the Saturday before Pentecost (moveable).
-
se/nationaldagen — June 6th.
-
se/midsommarafton — The Friday before Midsummer Day (moveable).
-
se/allhelgonaafton — The Friday between October 30th and November 5th — All Saints' Eve.
-
se/julafton — December 24th.
-
se/juldagen — December 25th.
-
se/annandag_jul — December 26th.
-
se/nyarsafton — December 31st.
no/forste_nyttarsdag, no/skjartorsdag, no/langfredag, no/forste_paskedag, no/andre_paskedag, no/arbeidernes_dag, no/kristi_himmelfartsdag, no/grunnlovsdag, no/forste_pinsedag, no/andre_pinsedag, no/forste_juledag, no/andre_juledag, se/nyarsdagen, se/trettondagsafton, se/trettondedag_jul, se/skartorsdagen, se/langfredagen, se/paskafton, se/paskdagen, se/annandag_pask, se/forsta_maj, se/kristi_himmelsfard, se/pingstafton, se/nationaldagen, se/midsommarafton, se/allhelgonaafton, se/julafton, se/juldagen, se/annandag_jul, se/nyarsafton Response
Successful Response
Holidays in the requested range.
Show child attributes
Show child attributes
Was this page helpful?